0 Replies Latest reply: Aug 13, 2014 9:14 AM by _JonahS_ RSS

    XEngine may not be installed properly. If you plan to use EDI/HL7 that requires XEngine, please unzip the XEngine bundle to install XEngine manually in $ORACLE_HOME/soa/thirdparty/edifecs directory.

    _JonahS_

      I read through various threads gotten from Google on this subject. OTN has the top result:

      B2B-related warnings in fresh 11g

      All of the threads I found were referring me to the Enterprise Deployment Guide, which provides little assistance on this issue except in the case of HA mis-configuration. Typically, My Oracle Support was a salad of unrelated material.

      The problem, in my case, turned out to be a dependency issue. I determined this by navigating to $ORACLE_HOME/soa/thirdparty/edifecs/XEngine/bin, and running the following:

      $ ldd libxejni.so

      This returned numerous instances of:

      libstdc++.so.5 => not found

      Since we're running OEL 6.5, the solution in my case was to yum install compat-libstdc++-33.